<!-- Content Header (Page header) -->
<section class="content-header">
    <h1 class="content-header vazir-font">
        جستجو
    </h1>
    <ol ng-include src="'partials/breadcrumb.html'" class="breadcrumb">
    </ol>
</section>

<div  class="row">
    <div class="col-xs-12" ng-show="fullSearchData.SearchType == 0 && searchResult.length > 0" >
        <div class="col-xs-12">

            <div class="box box-warning">
                <div class="box-header">
                    <h3 class="box-title vazir-font">نتایج جستجو</h3>
                    <i class="fa fa-filter text-muted"></i>
                    <div class="box-tools">
                        <button class="btn btn-sm btn-success" ng-click="backFromSearch()">بازگشت</button>
                    </div>
                </div><!-- /.box-header -->
                <div class="box-body table-responsive no-padding">
                    <table class="table border-bottom-table table-hover" >
                        <tbody>
                        <tr class="link fx-zoom-normal fx-dur-600 fx-ease-circ fx-stagger-30"
                            ng-repeat="q in searchResult" ui-sref="question({id:q.ID})">
                            <td><img  class="img-circle" ng-src="{{q.Image}}" err-src="../images/Avatar.jpg"
                                      style="width:40px"
                                      ng-style="{'border': (q.Rate > 5) ? activity.high :
                                                                (q.Rate > 2.5)?activity.medium : activity.low}"
                                      title="{{q.score | number:1 | pNumber | concat : ' امتیاز '}}"
                                      data-toggle="tooltip" data-placement="top"
                                      tooltip="Tooltip on left" tooltip-placement="top" tooltip-class="vazir-font"
                                      tooltip-append-to-body="true"></td>
                            <td >{{q.FullName | subString :20| pNumber}}</td>
                            <td ng-style="{color: (!q.QViewID)?'rgb(234, 189, 54)':'#777'}">
                                {{q.Title | subString :30|pNumber}}
                            </td>
                            <td>
                                <span class="label label-success" style="font-size: 10px" ng-if="!q.QViewID">
                                    دیده
          نشده
                                </span>
                            </td>
                            <td class="text-center" ui-sref="question({id:q.ID})" >{{q.AnswersCount || '0'|pNumber}} جواب
                            </td>
                            <td >
                                <span class="persian-rtl text-muted" style="font-size: 12px;">
                                    {{q.CreationDate | jalaliDate :'jYYYY/jMM/jDD' |pNumber}}
                                </span>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div>
    </div>

    <div class="col-xs-12" ng-show="fullSearchData.SearchType == 1 && searchResult.length > 0" >

        <div class="col-md-4 col-sm-6 col-xs-12 fx-zoom-normal fx-dur-600 fx-ease-circ fx-stagger-30"
             ng-repeat="u in searchResult track by $index">
            <!-- Widget: user widget style 1 -->
            <div class="box box-widget widget-user">
                <!-- Add the bg color to the header using any of the bg-* classes ng-class="getRandomColorClass()"-->
                <div class="widget-user-header" ng-class="getRandomColorClass(u.ID)" >
                    <h3 class="widget-user-username link" ui-sref="UserProfile({id:u.ID})">{{u.FullName}}</h3>
                    <!--<h5 class="widget-user-desc">توسعه دهنده وب</h5>-->

                    <h5 class="widget-user-desc" ng-show="u.isOnline">
                        آنلاین <i class="fa fa-circle text-green"></i>
                    </h5>
                </div>
                <div class="widget-user-image">
                    <img class="img-circle link" ng-src="{{u.Image}}" ui-sref="UserProfile({id:u.ID})"
                         alt="User Avatar" err-src="../images/Avatar.jpg"
                         ng-style="{'border-color': (u.Rate > 5) ? activity.high :
                                                                (u.Rate > 2.5)?activity.medium : activity.low}">
                </div>
                <div class="box-footer">
                    <div class="row">
                        <div class="col-sm-4 border-left">
                            <div class="description-block">
                                <h5 class="description-header">{{u.score | pNumber}}</h5>
                                <span class="description-text"> امتیاز</span>
                            </div><!-- /.description-block -->
                        </div><!-- /.col -->
                        <div class="col-sm-4 border-left">
                            <div class="description-block">
                                <h5 class="description-header">{{u.QuestionsCount | pNumber}}</h5>
                                <span class="description-text">سوال ها</span>
                            </div><!-- /.description-block -->
                        </div><!-- /.col -->
                        <div class="col-sm-4">
                            <div class="description-block">
                                <h5 class="description-header">{{u.AnswersCount | pNumber}}</h5>
                                <span class="description-text">جواب ها</span>
                            </div><!-- /.description-block -->
                        </div><!-- /.col -->
                    </div><!-- /.row -->
                </div>
            </div><!-- /.widget-user -->
        </div>
    </div>

    <div class="col-xs-12"  ng-show="searchResult.length > 0">
        <div class="col-xs-12">

            <div class="text-center">

                <auto-paging page="1"
                             page-size="20"
                             ul-class="pagination pagination-sm no-margin"
                             only-get-result-when-update="true"
                             return-full-result="true"
                             action-name="globalSearch"
                             data-params="pagingParams"
                             ng-control="pagingControllerSearch"
                             full-result="fullSearchData"
                             on-load-finish="fixPage()"
                             items="searchResult">
                </auto-paging>
            </div>
        </div>
    </div>

    <div class="row"  ng-show="searchResult.length == 0">
        <h2 class="col-xs-12 text-center persian-rtl">

            نتیجه ای یافت نشد!
        </h2>
    </div>


</div>

